Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006071OCamlOCaml generalpublic2013-07-09 14:572013-12-16 23:41
Reporterkaustuv 
Assigned Togasche 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.00.1 
Target VersionFixed in Version4.01.1+dev 
Summary0006071: ocaml (toplevel) should have a -no-init option
DescriptionCurrently if I have a visible .ocamlinit, it is loaded by default. To prevent loading it I have to run ocaml -init /dev/null (or -init some_empty_file).

Can there be a -no-init option to ocaml to avoid such hacks?
Tagsjunior_job
Attached Filespatch file icon noinit_lexico.patch [^] (4,786 bytes) 2013-07-30 22:26 [Show Content]

- Relationships
related to 0005232confirmed wish: -str option for ocaml 

-  Notes
(0010041)
dsheets (reporter)
2013-07-31 15:47

Patch attached.

I put the option in lexicographic order rather than next to -init in the help text and modules. Also, I called it "-noinit" to match the other "-no*" flags.
(0010044)
gasche (developer)
2013-07-31 21:38

The code looks good, thanks! I'll wait a bit to see if someone complains, and otherwise probably include it in trunk.
(0010097)
gasche (developer)
2013-08-04 22:02

The patch is now committed in trunk. Thanks!
(0010730)
Camarade_Tux (reporter)
2013-12-16 23:41

.ocamlinit files in the current directory are pretty much a security issue: the files are not readily visible and can execute any code. Is this behaviour heavily relied on, does it make sense to have it as a dot-file and wouldn't it be better to have -no-init by default with a corresponding -init (or similar) flag?

- Issue History
Date Modified Username Field Change
2013-07-09 14:57 kaustuv New Issue
2013-07-12 17:14 doligez Severity trivial => feature
2013-07-12 17:14 doligez Status new => confirmed
2013-07-29 18:36 gasche Tag Attached: junior_job
2013-07-30 22:26 dsheets File Added: noinit_lexico.patch
2013-07-31 15:47 dsheets Note Added: 0010041
2013-07-31 21:38 gasche Note Added: 0010044
2013-08-04 22:02 gasche Note Added: 0010097
2013-08-04 22:02 gasche Status confirmed => resolved
2013-08-04 22:02 gasche Fixed in Version => 4.01.1+dev
2013-08-04 22:02 gasche Resolution open => fixed
2013-08-04 22:02 gasche Assigned To => gasche
2013-09-18 16:37 lpw25 Relationship added related to 0005232
2013-12-16 23:41 Camarade_Tux Note Added: 0010730


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker